/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: XWindowListener2.idl,v $
 * $Revision: 1.3 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
#ifndef __com_sun_star_awt_XWindowListener2_idl__
#define __com_sun_star_awt_XWindowListener2_idl__

#ifndef __com_sun_star_awt_XWindowListener_idl__
#include <com/sun/star/awt/XWindowListener.idl>
#endif

//=============================================================================

module com {  module sun {  module star {  module awt {

//=============================================================================

/** allows receive window-related events, additional to the ones received by an <type>XWindowListener</type>
 */
interface XWindowListener2: XWindowListener
{
    //-------------------------------------------------------------------------

    /** is called when the window has been enabled.
     */
    [oneway] void windowEnabled( [in] com::sun::star::lang::EventObject e );

    //-------------------------------------------------------------------------

    /** is called when the window has been disabled.
     */
    [oneway] void windowDisabled( [in] com::sun::star::lang::EventObject e );
};

//=============================================================================

}; }; }; };

#endif
